Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.dma
Class DMA16Handler

    java.lang.Object
      dioscuri.module.dma.DMA16Handler

    public abstract class DMA16Handler

extends java.lang.Object

Handler for the slave DMA controller, providing implementations for 16-bit read and write functionality
This handler will be registered with the DMA class to provide device-specific methods for reading (memory -> device) and writing (device -> memory) a word via DMA.

Constructor Summary
`DMA16Handler()`

Method Summary
`abstract void` | `dma16ReadFromMem(byte[] data)` Device-specific implementation of the 16-bit DMA read functionality. This provides a way for DMA to pass a word read from memory (by way of DMA request) to the device for further processing.
`abstract byte[]` | `dma16WriteToMem()` Device-specific implementation of the 16-bit DMA write functionality. This provides a way for DMA to write a word to memory (by way of DMA request) passed from the device.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DMA16Handler

    public DMA16Handler()

Method Detail

### dma16ReadFromMem

    public abstract void dma16ReadFromMem(byte[] data)

  Device-specific implementation of the 16-bit DMA read functionality.
  This provides a way for DMA to pass a word read from memory (by way of DMA request) to the device for further processing.

  Parameters:
    `data` - Word from memory that is passed to the device for handling

### dma16WriteToMem

    public abstract byte[] dma16WriteToMem()

  Device-specific implementation of the 16-bit DMA write functionality.
  This provides a way for DMA to write a word to memory (by way of DMA request) passed from the device.

  Returns:
    Word from device that will be written to memory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD